Update an Assignment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Behavior

Updates the specified assignment by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Returns

Returns the updated assignment if the update succeeded. This call will raise an error if update parameters are invalid.
















Path Params
int32
required

ID of the Assignment you want to update.

Body Params
string

The name of the assignment.

int32

The total number of points possible in the assignment. All submissions will be graded "out of" this value. Must be >= 0.

int32

The Course object which this assignment is a part of. Must correspond to the ID of a course in which you are a Course Admin.

boolean

If True, finalized submissions will be viewable by students. Updating this field from True to False will revoke student access.

int32

Key that defines how Assignments are sorted within the codePost UI. Ties are broken using the datetime of object creation.

boolean
Defaults to false

If True, Anonymous Grading Mode will be enabled for this assignment.

boolean
Defaults to false

If True, students won't be able to view their submission grades for this assignment.

boolean
Defaults to false

If True, Comment Feedback will be enabled for this assignment.

boolean
Defaults to false

If True, students will be able to see their submissions and feedback before the submission is finalized or published.

boolean
Defaults to false

If True, grade calculations begin at 0 instead of the assignment.points.

boolean
Defaults to false

If True, the graders of a submission will be hidden from students.

boolean
Defaults to false

If True, students will be allowed to upload submissions until the upload due date.

date

The date after which students are not allowed to upload submissions. Only applies if assignment.allowStudentUpload is True.

boolean
Defaults to false

If True students will be allowed to submit regrade requests after their submission has been graded.

date

The date after which students are not allowed to submit a regrade request. Only applies if allowRegradeRequests is True.

boolean
Defaults to false

If True, admins and graders will be prevented from saving comments which do not link to rubric comments.

boolean
Defaults to false

If True, graders will be allowed to edit the assignment's rubric.

boolean
Defaults to false

If True, frequently used rubric comments will be shown in a special category in the Code Console.

Response

Language
Credentials
Query
LoadingLoading…
Response
Choose an example:
application/json